import { NuxtConfig, NuxtOptions } from '@nuxt/types';
export declare function createContext(options: Partial<NuxtTestContext>): NuxtTestContext;
export declare function getContext(): NuxtTestContext;
export declare function setContext(context: NuxtTestContext): NuxtTestContext;
export interface NuxtTestContext {
    id: number;
    testDir: string;
    fixture: string;
    configFile: string;
    rootDir: string;
    config: NuxtConfig;
    nuxt: {
        options: NuxtOptions;
        listen: (port?: number) => any;
        ready: () => any;
        close: () => any;
        moduleContainer: any;
    };
    browser: any;
    browserString: string;
    browserOptions: any;
    build: boolean;
    builder: {
        build: () => any;
    };
    buildTimeout: number;
    generate: boolean;
    generateOptions: {
        build: boolean;
        init: boolean;
    };
    waitFor: number;
    server: boolean;
    url: string;
}
